How to Work with 2D Polyline in AutoLISP

Sdílet
Vložit
  • čas přidán 16. 07. 2024
  • How to Work with 2D Polyline in AutoLISP
    -- by Prabhu
  • Věda a technologie

Komentáře • 15

  • @rajudasari6457
    @rajudasari6457 Před 8 měsíci

    Good sir and little bit advanced in lisp

  • @R-sum
    @R-sum Před 8 měsíci

    amazing

  • @manuelfernandoespinosacast7717

    Excellent video, thank you very much, very well explained.
    I have a question, is there any way to know in which direction a polygon closes, that is, clockwise or counterclockwise?

  • @prernamayank6151
    @prernamayank6151 Před 3 měsíci

    Please tell me how to write such types of command oneself so that we can make new type of command in auto cad future. Upload this types of videos so that we can understand as simple as that.
    Very nice efforts Thank you very much

  • @mahendrakumarbhanuse1617
    @mahendrakumarbhanuse1617 Před 6 měsíci

    Sir, autolisp how to run while function with multiple values

  • @asadm1024
    @asadm1024 Před 8 měsíci

    Sir you are scientist of Autocad ❤

  • @cyberCADsolutions
    @cyberCADsolutions  Před 8 měsíci

    Session Notes:
    (setq pl(car (entsel "
    Select a polyline...:")))
    (setq pldbList(entget pl))
    (setq vlst (mapcar 'cdr (vl-remove-if-not '(lambda(x)(= (car x) 10)) pldbList)))
    (vl-load-com)
    (setq obj(vlax-ename->vla-object pl))
    (setq lenPl(vlax-get-property obj 'length))
    (setq areaPl(vlax-get-property obj 'area))
    (setq pt1 (vlax-curve-getPointAtDist obj 50))
    (entmake (list (cons 0 "circle")(cons 10 pt1)(cons 40 5)))
    (entmakex
    (append
    (list (cons 0 "LWPOLYLINE")
    (cons 100 "AcDbEntity")
    (cons 100 "AcDbPolyline")
    (cons 8 "0")
    (cons 90 (length vlst))
    (cons 70 0)
    (cons 62 1)
    )
    (mapcar '(lambda(pt)(cons 10 pt)) vlst)
    )
    )

  • @SurveyCivilRakesh
    @SurveyCivilRakesh Před 7 měsíci

    Suppose I use autocad Lisp uploaded to other channels to make my CZcams videos, will there be a copyright strike?
    Please give me the answer 🙏🙏

    • @cyberCADsolutions
      @cyberCADsolutions  Před 7 měsíci

      Yes. And you may go behind bars.

    • @SurveyCivilRakesh
      @SurveyCivilRakesh Před 7 měsíci

      @@cyberCADsolutions I can't use someone else's stuff? If I make the program myself and use it, there is no problem in making videos with it?